/*Diséñese un algoritmo para leer las longitudes de los tres lados de un triángulo,
 A, B y C, para determinar qué tipo de triángulo es, de acuerdo a los siguientes
 casos. Suponiendo que A denota al mayor de los lados, y que B y C corresponden a 
 los otros dos, entonces:
Si A>=B+C	NO ES UN TRIÁNGULO
Si A2=B2+C2	ES UN TRIÁNGULO RECTÁNGULO.
Si A2>B2+C2	TRIÁNGULO OBTUSÁNGULO.
Si A2<B2+C2	TRIÁNGULO ACUTÁNGULO.*/

#include<stdio.h>
#include<conio.h>

void main (void)
{
	float ladoa,ladob,ladoc;
	
	clrscr();
	printf("Teclee el lado a: ");
	scanf("%f",&ladoa);
	printf("Teclee el lado b: ");
	scanf("%f",&ladob);
	printf("Teclee el lado c: ");
	scanf("%f",&ladoc);
	
	if(ladoa>=ladob+ladoc)
	{
		printf("No es un triángulo");
	}
	else
	{
		if(ladoa*ladoa==ladob*ladob+ladoc*ladoc)
		{
			printf("Es un triángulo rectángulo");
		}
		else
		{
			if(ladoa*ladoa>ladob*ladob+ladoc*ladoc)
			{
				printf("Triángulo obtusángulo");
			}
			else
			{
				printf("Triángulo acutángulo");
			}
		}
	}
	getch();
}
